<app-header-help
  [label]="label"
  [description]="description"
/>

<div [ngClass]="['help-page-v2', jds.mt(50), jds.mb(70), jds.mx(0)]">
  <div [ngClass]="jds.container">
    <div [ngClass]="jds.row">
      <div [ngClass]="jds.col()">
        <ng-container *ngFor="let row of dataHelp">
          <div
            class="content"
            *ngIf="filter.topic === row.id"
          >
            <h5 [ngClass]="jds.mb(40)">{{ row.title }}</h5>

            <div
              #subcontent
              *ngFor="let rowSub of row.sub"
              [ngClass]="jds.mb(40)"
              [id]="rowSub.id"
            >
              <h6>{{ rowSub.title }}</h6>

              <div [innerHTML]="rowSub.content | safeHtml"></div>

              <ng-container
                *ngIf="rowSub.id === 'users-manual-satu-data-jabar'"
              >
                <div>
                  Panduan lengkap mengenai penggunaan, cleansing, dan
                  standarisasi data di Satu Data Jabar dapat diakses melalui
                  <a
                    [ngClass]="[
                      jds.textDecoration('underline'),
                      jds.text('primary')
                    ]"
                    [href]="userManualLink"
                    target="_blank"
                  >
                    tautan berikut
                  </a>
                </div>
              </ng-container>
            </div>
          </div>
        </ng-container>
      </div>
      <div [style.width.px]="340">
        <div class="sticky">
          <jds-bi-accordion
            #acc="jdsBiAccordion"
            [destroyOnHide]="false"
            [closeOthers]="true"
            [activeIds]="filter.topic"
            colorScheme="blue"
          >
            <ng-container *ngFor="let row of dataHelp; let i = index">
              <jds-bi-panel
                [id]="row.id"
                [title]="row.title"
              >
                <ng-template jdsBiPanelContent>
                  <ul
                    [style.listStyle]="'none'"
                    [ngClass]="[jds.ps(0), jds.my(8)]"
                  >
                    <li
                      *ngFor="let rowSub of row.sub"
                      [ngClass]="[jds.my(4)]"
                    >
                      <a
                        [ngClass]="[jds.d('block')]"
                        [style.cursor]="'pointer'"
                        (click)="filterTopic(row.id, rowSub.id)"
                      >
                        {{ rowSub.title }}
                      </a>
                    </li>
                  </ul>
                </ng-template>
              </jds-bi-panel>
            </ng-container>
          </jds-bi-accordion>

          <div [ngClass]="[jds.card, jds.mt(20)]">
            <div [ngClass]="jds.cardBody">
              <div [ngClass]="[jds.fw('bold'), jds.mb(8)]">Kontak kami</div>
              <div [ngClass]="[jds.mb(6)]">
                <a
                  [ngClass]="[jds.d('flex'), jds.alignItems('center')]"
                  href="mailto:data@jabarprov.go.id"
                >
                  <jds-bi-icon
                    [ngClass]="jds.me(8)"
                    name="envelope"
                  />
                  <span>data&#64;jabarprov.go.id</span>
                </a>
              </div>
              <div>
                <a
                  [ngClass]="[jds.d('flex'), jds.alignItems('center')]"
                  [href]="message"
                  target="_blank"
                  rel="noopener"
                >
                  <jds-bi-icon
                    [ngClass]="jds.me(8)"
                    name="whatsapp"
                  />
                  <span>{{ whatsapp }} (Whatsapp)</span>
                </a>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
